Financial Compatibility
Investigate financial synergy through Synastry API, assessing astrological influences on financial attitudes and cooperation.
Step by Step Financial Compatibility API Postman Testing Integration
Use Translator for Other Languages
Support Article URL: Translating a Natal API into a Different Language
| Code | Language |
|---|---|
| en | English |
| hi | Hindi |
| pt | Portuguese |
| fr | French |
| de | German |
| ja | Japanese |
| tr | Turkish |
| ru | Russian |
| it | Italian |
| es | Spanish |
| nl | Dutch |
| pl | Polish |
Guide: These languages are supported by this API. You can use them by passing "lan" in the body with the corresponding value.
House System Codes
Support Article URL: How to Change the House System Code in Natal Astrology
| Code | House System Name |
|---|---|
| P | Placidus |
| K | Koch |
| R | Regiomontanus |
| C | Campanus |
| A | Equal |
| W | Equal, Whole Sign |
| N | Whole Sign, Aries = 1st House |
| X | Axial Rotation System / Meridian Houses |
| T | Polich/Page (“Topocentric”) |
| M | Morinus |
| O | Porphyry |
| B | Alcabitius |
| D | Equal / MC |
| E | Equal = A |
| F | Carter Poli-Equatorial |
| G | 36 Gauquelin Sectors |
| H | Horizon / Azimuth |
| I | Sunshine |
| i | Sunshine (Alternative) |
| L | Pullen S-Delta |
| Q | Pullen S-Ratio |
| S | Sripati |
| U | Krusinski-Pisa-Goelzer |
| V | Equal Vehlow |
| Y | APC Houses |
Note: The default house system used is P – Placidus.
API Endpoint
POST https://astroapi-4.divineapi.com/western-api/v2/synastry/financial-compatibility
Response: Returns Financial Compatibility in response.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Your API access token. Example: Bearer {token} |
Request Body
| Name | Type | Description |
|---|---|---|
| api_key* | String | Your API key |
| p1_full_name* | String | P1's full name (e.g., Rahul Kumar) |
| p1_day* | Integer | P1's date of birth (e.g., 24) |
| p1_month* | Integer | P1's month of birth (e.g., 05) |
| p1_year* | Integer | P1's year of birth (e.g., 1998) |
| p1_hour* | Integer | P1's hour of birth (e.g., 14) |
| p1_min* | Integer | P1's minute of birth (e.g., 40) |
| p1_sec* | Integer | P1's second (e.g., 43) |
| p1_gender* | String | P1's gender (e.g., male) |
| p1_place* | String | P1's birthplace (e.g., New Delhi) |
| p1_lat* | Float | P1's latitude (e.g., 28.7041) |
| p1_lon* | Float | P1's longitude (e.g., 77.1025) |
| p1_tzone* | Float | P1's timezone (e.g., 5.5). Timezone List |
| p2_full_name* | String | P2's full name (e.g., Simran Kumari) |
| p2_day* | Integer | P2's date of birth (e.g., 24) |
| p2_month* | Integer | P2's month of birth (e.g., 05) |
| p2_year* | Integer | P2's year of birth (e.g., 1998) |
| p2_hour* | Integer | P2's hour of birth (e.g., 14) |
| p2_min* | Integer | P2's minute of birth (e.g., 40) |
| p2_sec* | Integer | P2's second (e.g., 43) |
| p2_gender* | String | P2's gender (e.g., female) |
| p2_place* | String | P2's birthplace (e.g., New Delhi) |
| p2_lat* | Float | P2's latitude (e.g., 28.7041) |
| p2_lon* | Float | P2's longitude (e.g., 77.1025) |
| p2_tzone* | Float | P2's timezone (e.g., 5.5). Timezone List |
| lan | String | Language code (default: en) |
| house_system | String | House system code (default: P) |
| node_type | String | meannode or truenode (default: meannode) |
200: OK Financial Compatibility fetched successfully
{
"success": 1,
"data": {
"content": [],
"message": [
"Financial stability is crucial for survival of a relationship through thick and thin. Rahul Kumar and Simran Kumari have been matched with each other in the synastry chart and their 2nd house has no mutual aspects. Venus and Jupiter are the key planets ensuring finacial success which are not matching between them either. Hence, financial compatibility is found to be poor between them even though they may have a promising financial future independently."
]
}
}
Example Code Implementations
Below are example implementations in various programming environments.
cURL
curl --location 'https://astroapi-4.divineapi.com/western-api/v2/synastry/financial-compatibility' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'p1_full_name="Rahul Kumar"' \
--form 'p1_day="24"' \
--form 'p1_month="05"' \
--form 'p1_year="1998"' \
--form 'p1_hour="14"' \
--form 'p1_min="40"' \
--form 'p1_sec="43"' \
--form 'p1_gender="male"' \
--form 'p1_place="New Delhi"' \
--form 'p1_lat="28.7041"' \
--form 'p1_lon="77.1025"' \
--form 'p1_tzone="5.5"' \
--form 'p2_full_name="Simran Kumari"' \
--form 'p2_day="24"' \
--form 'p2_month="05"' \
--form 'p2_year="1998"' \
--form 'p2_hour="14"' \
--form 'p2_min="40"' \
--form 'p2_sec="43"' \
--form 'p2_gender="female"' \
--form 'p2_place="New Delhi"' \
--form 'p2_lat="28.7041"' \
--form 'p2_lon="77.1025"' \
--form 'p2_tzone="5.5"' \
--form 'lan="en"'NodeJS
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://astroapi-4.divineapi.com/western-api/v2/synastry/financial-compatibility',
'headers': {
'Authorization': 'Bearer {Your Auth Token}'
},
formData: {
'api_key': '{Your API Key}',
'p1_full_name': 'Rahul Kumar',
'p1_day': '24',
'p1_month': '05',
'p1_year': '1998',
'p1_hour': '14',
'p1_min': '40',
'p1_sec': '43',
'p1_gender': 'male',
'p1_place': 'New Delhi',
'p1_lat': '28.7041',
'p1_lon': '77.1025',
'p1_tzone': '5.5',
'p2_full_name': 'Simran Kumari',
'p2_day': '24',
'p2_month': '05',
'p2_year': '1998',
'p2_hour': '14',
'p2_min': '40',
'p2_sec': '43',
'p2_gender': 'female',
'p2_place': 'New Delhi',
'p2_lat': '28.7041',
'p2_lon': '77.1025',
'p2_tzone': '5.5',
'lan': 'en'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
JavaScript jQuery AJAX
var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("p1_full_name", "Rahul Kumar");
form.append("p1_day", "24");
form.append("p1_month", "05");
form.append("p1_year", "1998");
form.append("p1_hour", "14");
form.append("p1_min", "40");
form.append("p1_sec", "43");
form.append("p1_gender", "male");
form.append("p1_place", "New Delhi");
form.append("p1_lat", "28.7041");
form.append("p1_lon", "77.1025");
form.append("p1_tzone", "5.5");
form.append("p2_full_name", "Simran Kumari");
form.append("p2_day", "24");
form.append("p2_month", "05");
form.append("p2_year", "1998");
form.append("p2_hour", "14");
form.append("p2_min", "40");
form.append("p2_sec", "43");
form.append("p2_gender", "female");
form.append("p2_place", "New Delhi");
form.append("p2_lat", "28.7041");
form.append("p2_lon", "77.1025");
form.append("p2_tzone", "5.5");
form.append("lan", "en");
var settings = {
"url": "https://astroapi-4.divineapi.com/western-api/v2/synastry/financial-compatibility",
"method": "POST",
"timeout": 0,
"headers": {
"Authorization": "Bearer {Your Auth Token}"
},
"processData": false,
"mimeType": "multipart/form-data",
"contentType": false,
"data": form
};
$.ajax(settings).done(function (response) {
console.log(response);
});
Python
import requests
url = "https://astroapi-4.divineapi.com/western-api/v2/synastry/financial-compatibility"
payload = {'api_key': '{Your API Key}',
'p1_full_name': 'Rahul Kumar',
'p1_day': '24',
'p1_month': '05',
'p1_year': '1998',
'p1_hour': '14',
'p1_min': '40',
'p1_sec': '43',
'p1_gender': 'male',
'p1_place': 'New Delhi',
'p1_lat': '28.7041',
'p1_lon': '77.1025',
'p1_tzone': '5.5',
'p2_full_name': 'Simran Kumari',
'p2_day': '24',
'p2_month': '05',
'p2_year': '1998',
'p2_hour': '14',
'p2_min': '40',
'p2_sec': '43',
'p2_gender': 'female',
'p2_place': 'New Delhi',
'p2_lat': '28.7041',
'p2_lon': '77.1025',
'p2_tzone': '5.5',
'lan': 'en'}
headers = {
'Authorization': 'Bearer {Your Auth Token}'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
Use Authorization: Bearer {Your Auth Token} and {Your API Key} securely; never expose them in client-side code.
Provide date, time, and coordinates in correct numeric formats; use decimal timezone values (e.g., 5.5).
Check HTTP status codes, log responses, and handle 4xx/5xx errors gracefully.
Defaults are lan=en and house_system=P; test via Postman first and always use HTTPS for secure communication.